当前套餐不支持自动充值

Moses Skoda工程师预计阅读 1 分钟

API 会返回 402 Payment Required,并附带此问题详情。其 type 为 https://lingo.dev/docs/api/errors/auto-top-up-unavailable。有关所有错误的通用结构,请参阅错误和状态码。

自动充值需要使用带有额度余额的套餐,而组织 <organizationId> 当前并未使用此类套餐。请先升级套餐,再启用自动充值。

字段#

除标准成员 type、status、title 和 detail 外,响应体还包含以下字段。detail 文本由这些字段生成,因此客户端也可以改为显示自定义文本。

字段类型
organizationIdstring

示例#

json
{
  "detail": "Automatic top-ups need a plan that carries a credit balance, and organization <organizationId> is not on one. Upgrade the plan first, then enable top-ups.",
  "organizationId": "<organizationId>",
  "type": "https://lingo.dev/docs/api/errors/auto-top-up-unavailable",
  "status": 402,
  "title": "Automatic top-ups not in plan"
}

返回此错误的端点#

  • POST /v2/organizations/{orgId}/billing/auto-top-up